# Hive Developer Portal

Methods:

- get_key_references

Used to lookup account information based on a key. These AppBase API methods are still under development and subject to change.

- Since: HF16
- Related

#### account_by_key_api.get_key_references

Returns all accounts that have the key associated with their owner or active authorities.

##### Query Parameters JSON

    {"keys": []}

##### Expected Response JSON

    {"accounts": []}

##### Example `curl`

    curl -s --data '{"jsonrpc":"2.0", "method":"account_by_key_api.get_key_references", "params":{"keys":["STM5jZtLoV8YbxCxr4imnbWn61zMB24wwonpnVhfXRmv7j6fk3dTH"]}, "id":1}' https://api.openhive.network